Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #1232 (closed enhancement: duplicate)

Opened 12 years ago

Last modified 11 years ago

"tg-admin update" should clobber pyc files

Reported by: ronaldoussoren Owned by: anonymous
Priority: low Milestone:
Component: tg-admin (non-toolbox) Version: 1.0b2
Severity: minor Keywords:
Cc:

Description

I just updates a TG app from TG 1.0b? to TG 1.0, ran 'tg-admin update' and then start the application. Alle pages failed to load because the .pyc files corresponding to .kid templates were out of date (because kid itself got upgraded with the upgrade of TG itself).

Therefore "tg-admin update" should remove all pyc files, or at the very least those that correspond to kid files.

P.S. This issue is for version 1.0, but that isn't available yet in the menu.

Change History

comment:1 Changed 12 years ago by jeffk

'nosetests' could (optionally) clobber .pyc, at least where kid is used, for the same reason. That may need to be handled in the nose package upstream.

comment:2 Changed 11 years ago by jorge.vargas

  • Status changed from new to closed
  • Resolution set to duplicate

this is a consequence of #1200

Note: See TracTickets for help on using tickets.